XPressME Integration Kit

フォーラム

PHP 7.0 対応について

ようこそ フォーラム バグ報告と提案 PHP 7.0 対応について

このトピックには4件の返信が含まれ、2人の投稿者がいます。10 ヶ月、 2 週間前 toemon さんが最後の更新を行いました。

5件の投稿を表示中 - 1 - 5件目 (全5件中)
  • 投稿者
    投稿
  • #3561

    nao-pon
    参加者

    こんにちは。XOOPS X(ten) のメンテナーの nao-pon です。

    現在、XOOPS X の PHP 7.0 への対応をぼちぼち進めています。その過程で XPressME Integration Kit の対応もしてみました。 -> https://gist.github.com/nao-pon/1c47cbb63ec82b50d90b

    mysql エクステンションが削除されるので、代わりの mysqli エクステンションへの対応と new 演算子の & 除去、グローバル変数への定義漏れなどです。

    検証して頂けましたら幸いです。 🙂

    よろしくお願いします。

    #3563

    nao-pon
    参加者

    d3forum version 0.89.4 から、 D3commentAbstract クラスで forum_id をプロパティとして持てるようにしたので、それに合わせて修正しパッチを再作成しました。

    d3forum version 0.89.4 未満の場合は、以前と同様の挙動になっていると思います。

    #3564

    toemon
    キーマスター

    neo-ponさま
    ご丁寧に教えていただきましてありがとうございます。

    ゴールデンウィーク前から、ずっと神戸のほうへの出張で捕まってて、すくなくとも後一週間はかえれそうにありませんので確認にはすこし時間がかかる見通しです。

    #3565

    nao-pon
    参加者

    お忙しい中、ありがとうございます。

    特に急ぎませんので、お手隙の際にでも、チェックしていただけましたら幸いです。

    #3591

    toemon
    キーマスター

    ものすごく遅れましたが、ようやくPHP7テスト環境を整え、Ver2.5.4にて対応いたしました。
    ありがとうございました。

5件の投稿を表示中 - 1 - 5件目 (全5件中)

トピック「PHP 7.0 対応について」への新規返信追加は締め切られています。